# ospaz-site

## Первый запуск

### Подготовка python-venv

Первым делом нужно создать virtual env. Сделать это можно следующей командой:

    python -m venv ./venv

Далее нужно активировать virtual env. Активация на разных платформах описана в документации по ссылке:
https://docs.python.org/3/library/venv.html#how-venvs-work

Далее нужно установить зависимости проекта. Они все перечислены в файле _requirements.txt_. Для установки всех зависимостей нужно ввести следующую команду:

    pip install -r requirements.txt

После успешной установки зависимостей виртуальное окружение готово к работе. При запуске проекта в следующий раз виртуальное окружение нужно будет только активировать.

### Подготовка переменных окружения

### Применение миграций

После клонирования репозитория и настройки venv нужно выполнить следующие команды:

    python manage.py makemigrations users index
    python manage.py migrate

### Создание суперпользователя

Для создания суперпользователя нужно ввести команду

    python manage.py createsuperuser

Команда попросит ввести логин и пароль, потом повторить введенный пароль.

### Запуск сервера

Для запуска сервера в тестовом режиме нужно 
